# Gas Price API

Vanar has a public API that gives the gas price details in terms of $VANRY token for all the tiers at any given moment. This API allows you to identify the required amount of $VANRY gas token to pay as transaction fees for any given transaction based on the size of the transaction in terms of gas. Below is a copy of the API response for reference.

Here you can see that any transaction with less than 12,000,000 gas will require only small amount of gas token that is equivalent to $0.0005 in terms of USD value. This range covers the vast majority of  transaction types including token transfers, minting NFTs, staking tokens, token swaps and even contract deployments.

```json
{
    "success": true,
    "data": [
        {
            "tier": 1,
            "gas_range_gwei": "0-12000000",
            "tx_fee": 0.002490894602887474,
            "usd_value": 0.0005
        },
        {
            "tier": 2,
            "gas_range_gwei": "12000001-15000000",
            "tx_fee": 7.472683808662421,
            "usd_value": 1.5059
        },
        {
            "tier": 3,
            "gas_range_gwei": "15000001-20000000",
            "tx_fee": 14.945367617324843,
            "usd_value": 3.0119
        },
        {
            "tier": 4,
            "gas_range_gwei": "20000001-25000000",
            "tx_fee": 37.363419043312106,
            "usd_value": 7.5296
        },
        {
            "tier": 5,
            "gas_range_gwei": "25000001-30000000",
            "tx_fee": 74.72683808662421,
            "usd_value": 15.0593
        }
    ]
}
```

#### API Endpoint

You can use the following API endpoint to get the latest gas fees applicable to each tier.

<https://mrawakxvyzsfqtkm.vanarchain.com/vanary-price>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vanarchain.com/getting-started/vanar-architecture/fixed-fees/gas-price-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
